<template>
  <modal name="modal-info"
         class="arcticmodal-container full-viewport"
         :width="600"
         :height="250"
         @before-open="beforeOpen">
    <div class="container m-header">
      <div @click="close()" class="box-modal_close arcticmodal-close"></div>
      <div class="row">
        <div class="column">
          <h3>{{ params.title }}</h3>
        </div>
      </div>
    </div>
    <div class="container">
      <p>{{ params.content }}</p>
      <div class="row buttons">
        <button @click="close()">Ок</button>
      </div>
    </div>
  </modal>
</template>
<script>
  import invoke from 'lodash/invoke'

  export default {
    name: 'modal-info',
    data () {
      return {
        time: 0,
        duration: 5000,
        params: {}
      }
    },
    methods: {
      beforeOpen (event) {
        this.params = event.params
      },
      close () {
        invoke(this, 'params.onClose')
        this.$modal.hide('modal-info')
      }
    }
  }
</script>
<style scoped>
  h3 {
    margin-bottom: 0px !important;
  }
  .buttons {
    text-align: center
  }
</style>
